package com.bonus.material.push.mapper;

import com.bonus.material.push.domain.ConsumeDataPush;
import com.bonus.material.push.domain.CostPushBean;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author : 阮世耀
 * @version : 1.0
 * @PackagePath: com.bonus.material.push.mapper
 * @CreateTime: 2025-06-29  14:42
 * @Description: 描述
 */
@Mapper
public interface CostPushMapper {

    /**
     * 获取费用推送审核数据
     * @author 吕继龙
     */
    List<CostPushBean> getCostPushCheckList(CostPushBean o);

    /**
     * 获取消耗费用推送审核数据
     * @author 吕继龙
     */
    List<CostPushBean> getConsumePushCheckList(CostPushBean o);

    /**
     * 更新审核状态
     */
    void updateCostPushCheckStatus(String id);

    /**
     * 更新提交推送状态
     */
    void updateCostPushStatus(CostPushBean o);

    /**
     * 获取消耗品费用集合
     * @return List<ConsumeDataPush>
     */
    List<ConsumeDataPush> getConsumeDataPushsList(CostPushBean o);

    /**
     * 获取推送费用数据
     * @return List<CostPushBean>
     */
    List<CostPushBean> getToolDataPushList(CostPushBean o);

    List<CostPushBean> findDetails(CostPushBean o);

    List<CostPushBean> findOtherDetails(CostPushBean o);

    int updatePushAQStatus(CostPushBean bean);

    int updatePushXHStatus(CostPushBean bean);

    List<CostPushBean> getCostPushLeaseList(CostPushBean o);
}
